package com.tofly.yswzMaterials.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.yswzMaterials.entity.Picking;
import com.tofly.yswzMaterials.entity.vo.PickingParamVo;

/**
 * @author Bubble
 */
public interface PickingService extends IService<Picking> {
    /**
     * 新增外购入库单
     * @param picking picking
     * @return boolean
     */
    boolean insertPicking(Picking picking);

    /**
     * 获取出库领料信息
     * @param code 编码
     * @return PickingParamVo   
     */
    PickingParamVo getPickingInfo(String code);

}
