package com.tofly.yswzMaterials.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.yswzMaterials.entity.Storage;
import com.tofly.yswzMaterials.entity.vo.StorageParamVo;

public interface StorageService extends IService<Storage> {
    /**
     * 添加外购入库
     * @param storage storage
     * @return boolean
     */
    boolean insertStorage(Storage storage);

    /**
     * 获取外购入库详情
     * @param code code
     * @return StorageParamVo
     */
    StorageParamVo getStorageInfo(String code);

}
