package com.tofly.yswzMaterials.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author bubble
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_STOCKS_TAKEAWAY_DETAIL", resultMap = "stocksTakeawayDetailMap")
@KeySequence("TF_STOCKS_TAKEAWAY_DETAIL")
@ApiModel
public class StocksTakeawayDetail extends Model<StocksTakeawayDetail> {

  @TableId(value = "ID", type = IdType.INPUT)
  @ApiModelProperty(value = "库存信息（主键ID）")
  private Long id;

  @ApiModelProperty(value = "外卖出库id")
  private Long takeawayId;

  @ApiModelProperty(value = "库存表id")
  private Long stockInfoId;

  @ApiModelProperty(value = "出库数量")
  private Double takeawayNum;

  @ApiModelProperty(value = "售卖总价")
  private Double totalSalePrice;
}
