package com.tofly.yswzMaterials.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.yswzMaterials.entity.Loss;
import com.tofly.yswzMaterials.entity.vo.LossParamVo;

/**
 * @author Bubble
 */
public interface LossService extends IService<Loss> {
    /**
     * 添加盘亏单
     * @param loss 盘亏
     * @return boolean
     */
    boolean insertLoss(Loss loss);

    /**
     * 查询盘亏单
     * @param code code
     * @return LossParamVo
     */
    LossParamVo getLossInfo(String code);

}
