package com.tofly.yswzMaterials.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.yswzMaterials.entity.Profit;
import com.tofly.yswzMaterials.entity.vo.ProfitParamVo;

/**
 * @author Bubble
 */
public interface ProfitService extends IService<Profit> {
    /**
     * 插入盘盈单
     * @param profit 盘盈
     * @return boolean
     */
    boolean insertProfit(Profit profit);

    /**
     * 查询盘盈单信息
     * @param code code
     * @return ProfitParamVo
     */
    ProfitParamVo getProfitInfo(String code);

}
