package com.tofly.yswzMaterials.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.yswzMaterials.entity.StocksUnit;
import com.tofly.yswzMaterials.entity.dto.UnitGroupDto;
import com.tofly.yswzMaterials.mapper.StocksUnitMapper;
import com.tofly.yswzMaterials.service.StocksUnitService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author Bubble
 */
@Service
public class StocksUnitServiceImpl extends ServiceImpl<StocksUnitMapper, StocksUnit> implements StocksUnitService {
    /**
     * 获取计量单位信息
     *
     * @return list
     */
    @Override
    public List<UnitGroupDto> getUnitByGroup() {
        return baseMapper.getUnitByGroup();
    }
}
